Subject: bug#55294: Configure failure on Solaris 11.4

From: Paul Eggert <[email-masked]>
Date: Mon, 9 May 2022 12:07:51 -0700

Thanks for the bug report. The patch looks safe, since Emacs calls atan 
as well as sqrt. And it looks like an improvement, since I can imagine 
all sorts of reasons why sqrt would not need libm whereas atan would, 
starting with the fact that typical hardware nowadays has sqrt 
instructions but not atan instructions. (The 'configure' test itself 
relies on undefined behavior, so it's not strictly portable anyway.)

Although it would be helpful to know how to reproduce the problem (which 
compiler? how configured? etc.) and which symbols were not found in 
temacs on Solaris 11.4, we don't need to know that to install the patch.